import asyncio
from src.Llms.MCPs.McpServer import MCPServerRunner

async def main():
    venv_python = r"E:\Fitz_Studio\.venv\Scripts\python.exe"

    runner_math = MCPServerRunner(
        r"E:\Fitz_Studio\src\Llms\MCPs\McpServers\server_math.py",
        python_path=venv_python
    )
    runner_tools = MCPServerRunner(
        r"E:\Fitz_Studio\src\Llms\MCPs\McpServers\server_utils.py",
        python_path=venv_python
    )

    await runner_math.start()
    await runner_tools.start()

    try:
        while True:
            await asyncio.sleep(1)
    except KeyboardInterrupt:
        print("\n⛔ Terminando servidores...")

    await runner_math.stop()
    await runner_tools.stop()

if __name__ == "__main__":
    asyncio.run(main())
